Get Audit Logs Export
https://app.fossa.com/api/audit_logs/exportRequest an export of audit logs. The export will be generated asynchronously and a link to download the CSV file will be emailed to you.
Request body (required) · application/json
startDatestring <date>requiredFilter audit logs to those created on or after this date (YYYY-MM-DD format)
endDatestring <date>requiredFilter audit logs to those created on or before this date (YYYY-MM-DD format)
actingUserIdsstring[]Filter audit logs to those created by the given user IDs
actionsstring[]Filter audit logs to those with the given actions
topicsstring[]Filter audit logs to those with the given topics
topicActionsstring[]Filter audit logs to those with the given topic and action
Responses
201The export task was created successfully. When the job is complete, you will receive an email with a link to download the CSV file.taskobjecttaskstringIdentifier for the task
jobTokenstringToken used to track the export job
targetstringEmail address where the export link will be sent
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
POST https://app.fossa.com/api/audit_logs/exportcurl --request POST \ --url 'https://app.fossa.com/api/audit_logs/export' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "startDate": "2026-01-01", "endDate": "2026-01-01"}'Real request. Mutating methods can change data.